ControlAreaGenratingUnit

2: IOP suggest to clarify the usage of ControlAreaGenratingUnit: Perhaps WG16 opinion is needed as well. If the issue cannot be
resolved fast we need to have a note to cover short term usage.

3: we need some associations to be able to have EnergySource, Equivalentinjection and ExternalNetworkInjection in a controlArea

Proposed Solution

It was identified the the classes require better description. The poor description made users invent new models instead of using this
one.

Decision

04-May-2023:
Create ControlAreaPowerElectronicsUnit class with association with PowerElectronicsUnit and ControlArea. We want to follow the
same pattern as between ControlArea and GeneratingUnit. Class and property descriptions are the same except for the classes.

11-Oct-2023:
Additional discussion occurred. We agreed to include HyrdoPump and Equivalentinjection using the same pattern as applied earlier.
Others we have not agreed to include at this point. We will review again next week after further thought.

Release Notes

ControlAreaPowerElectronicsUnit class with association with PowerElectronicsUnit and ControlArea were added. The same pattern
is followed as between ControlArea and GeneratingUnit. Class and property descriptions are the same except for the classes.

61970-452 is updated to include the class and the 2 associations

History

#1 - 02/07/2023 01:55 PM - Chavdar Ivanov

- Subject changed from ControlAreaGenratingUnit
2: I0P suggest to clarify the usag to ControlAreaGenratingUnit2: IOP suggest to clarify the usag

- Status changed from Open to Review
- Priority changed from Low to High

- Decision updated

This issue needs to be decided. The description seems improved, but the associations are not changed.
#2 - 02/14/2023 06:38 PM - Todd Viegut

- Decision updated

Revisited this issue on 15-Feb-2023 during in-person meetings in Richland. Outcome of discussions is:

"We propose adding the power electronics devices 'someway and somehow' to the ControlAreaGeneratingUnit" (~Chuck DuBose 14-Feb-2023)
Must take HydroPumps into consideration for any proposals for this Issue.

Which loads are to be curtailable is another issue that must be considered as part of the proposal.

Chuck's suggested proposal (needs more discussion): Either rename the ControlAreaGeneratingUnit to ControlAreaSources OR ControlAreaSupply
(i.e. a breaking change) and then add an association from that (existing) class to PowerElectronics (either the unit or the connection).

#3 - 02/14/2023 06:38 PM - Todd Viegut

- Status changed from Review to In Progress

#4 - 04/05/2023 10:46 AM - Eric Stephan
- Status changed from In Progress to Review
- Solution to be Applied To set to CIM18v04

- Decision updated

#5 - 06/14/2023 09:52 AM - Chavdar Ivanov

- Status changed from Review to In Progress

#6 - 08/23/2023 11:02 AM - Eric Stephan

- Decision updated

#7 - 10/07/2023 11:43 PM - Chavdar Ivanov

- Solution to be Applied To changed from CIM18v04 to CIM18v07
- Solution Version set to CIM18v07

- Solution Applied By set to Chavdar lanov

- Completion Date set to 10/08/2023

- Release Notes updated

#8 - 10/10/2023 06:43 AM - Todd Viegut

- Subject changed from ControlAreaGenratingUnit2: IOP suggest to clarify the usag to ControlAreaGenratingUnit2: IOP suggest to clarify the usage
09-Oct-2023:

As Chavdar was applying the decisions to the model for CIM18v07 it became clear that for bullet point #2 in the description of this issue that we have
not added commentary to the decision for the additional associations mentioned by the issues description as: "...we need some associations to be
able to have EnergySource, Equivalentlnjection and ExternalNetworkInjection in a controlArea"

So, we either need to confirm that for these additional associations we also follow the same prescribed pattern or we need to say something in the

decision to clarify what will be done for these additional associations. We may decide not to apply for these associations but if so we need to explain
why we will not.

#9 - 10/11/2023 11:10 AM - Todd Viegut

- Decision updated

#10 - 10/11/2023 11:12 AM - Todd Viegut

- Decision updated

#11-10/11/2023 11:14 AM - Todd Viegut

- Decision updated
